> For the complete documentation index, see [llms.txt](/llms.txt).

# Authentication check for partners

**GET** `https://www.iwoca.co.uk/api/lending/v2.2/authentication_check/`

Use this endpoint to check that the authorisation header is being set correctly, and that you can successfully hit the iwoca Lending API.

You should receive a `200: Status OK` response if everything is setup correctly.

## Responses
### 200
```json
{
  "version": "v2.2"
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl https://www.iwoca.co.uk/api/lending/v2.2/authentication_check/ \
  --header 'Authorization: Bearer <api-key>'
```